org.bdgenomics.adam.cli

# WigFix2Bed

#### object WigFix2Bed extends BDGCommandCompanion

WigFix2Bed (accessible as the command "wigfix2bed" through the CLI) takes fixed wiggle file and converts it to a BED formatted file. The wiggle file is a text based format that implements run-length encoding, without any guarantees where the sync markers are. This makes it difficult to use as a "splittable" format, and necessitates processing the file locally.

Linear Supertypes
BDGCommandCompanion, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WigFix2Bed
2. BDGCommandCompanion
3. AnyRef
4. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(cmdLine: Array[String]): WigFix2Bed

   Definition Classes
     WigFix2Bed → BDGCommandCompanion

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val commandDescription: String

   Definition Classes
     WigFix2Bed → BDGCommandCompanion

10. #### val commandName: String

    Definition Classes
      WigFix2Bed → BDGCommandCompanion

11. #### val declPattern: Regex

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### val featPattern: Regex

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def main(cmdLine: Array[String]): Unit

    Definition Classes
      BDGCommandCompanion

20. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

21. #### final def notify(): Unit

    Definition Classes
      AnyRef

22. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

23. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

24. #### def toString(): String

    Definition Classes
      AnyRef → Any

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from BDGCommandCompanion

### Inherited from AnyRef

### Inherited from Any

### Ungrouped